Package org.pentaho.reporting.libraries.formula.parser

# Class ParserTools

java.lang.Object
org.pentaho.reporting.libraries.formula.parser.ParserTools

public class ParserTools extends Object
Creation-Date: 03.11.2006, 18:57:23

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`static String`
`stripQuote(String s)`
Unconditionally removes the first and last character of the given string and also unquotes the quoted double-quotes.
`static String`
`stripReferenceQuote(String s)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### stripReferenceQuote

public static String stripReferenceQuote(String s)

### stripQuote

public static String stripQuote(String s)
Unconditionally removes the first and last character of the given string and also unquotes the quoted double-quotes.

Parameters:
  `s` - the string to be stripped.
Returns:
  the stripped string.